<?php
/*
Plugin Name: Hello World
Plugin URI: 
Description: Sample Hello World Plugin
Author: Tim Trott
Version: 2
Author URI: 
*/

add_action('admin_menu','nano_option_page');

function nano_option_page(){
        add_options_page( 'NaNoStats','NaNoStats','edit_themes','nanostats', 'nanostats_info');
}
function nanostats_info(){
$link = admin_url('widgets.php');
    echo '<div class="wrap"><div style="background: url(\''.plugins_url('img/nanowrimologo.png',__FILE__).'\') no-repeat;"
				 class="icon32">
				<br/></div>
                                <h2>NaNoStats</h2>
This plugin gives you the ability to create at widget to show off your <a href="http://nanowrimo.org">NaNoWriMo</a> word count.<br />
To create this widget just to go your <a href="'.$link.'">widgets page</a> then insert and configure the widget to your sidebar.
    </div>';
}
  
function sampleHelloWorld() 
{
  $options = get_option("widget_NaNoStats");
        $rooturl = 'http://nanowrimo.org/widget/';
//print_r($options);
if($options['options']){
    $switch = ','.implode(',',$options['options']);
}else{
    $switch = '';
}
$widget = $rooturl.$options['img'].'/'.$options['username'].$switch.'.png';
echo '<img src="'.$widget.'" />';
}
 
function widget_NaNoStats($args) {
  extract($args);
 
  $options = get_option("widget_NaNoStats");
  if (!is_array( $options )){
  }      
 
  echo $before_widget;
    echo $before_title;
      echo $options['title'];
    echo $after_title;
 
    //Our Widget Content
    sampleHelloWorld();
  echo $after_widget;
}
 
function NaNoStats_control() 
{
  $options = get_option("widget_NaNoStats");
  if (!is_array( $options ))
{
$options = array(
      'title' => 'My NaNoWriMo Stats'
      ); 
  }     
 
  if ($_POST['NaNoStats-Submit']) 
  {
    $options['title'] = htmlspecialchars($_POST['NaNoStats-WidgetTitle']);
    $options['username'] = htmlspecialchars($_POST['NaNoStats-WidgetUser']);
    $options['img'] = htmlspecialchars($_POST['NaNoStats-WidgetImg']);
    $options['options'] = $_POST['NaNoStats-WidgetOptions'];
    update_option("widget_NaNoStats", $options);
  }
?>
  <p>
    <label for="NaNoStats-WidgetTitle">NaNoStats Title</label><br />
    <input type="text" id="NaNoStats-WidgetTitle" name="NaNoStats-WidgetTitle" value="<?php echo $options['title'];?>" /><br />
    <label for="NaNoStats-WidgetUser">NaNoWriMo User Name</label><br />
    <input type="text" id="NaNoStats-WidgetUser" name="NaNoStats-WidgetUser" value="<?php echo $options['username'];?>" /><br />
    <?php
        $widgets = array(
            'Participant Widget' => 'LiveParticipant',
            'Participant Widget With Username' => 'LiveSupporter',
            'My Month' => 'MyMonth',
            'Graph' => 'graph'
        );
        echo '<label for="NaNoStats-WidgetImg">NaNoWriMo Widget Image<br />
        To view to widgets by name go <a href="http://nanowrimo.org/en/widgets" target="_blank">here</a>.</label>';
        echo '<select name="NaNoStats-WidgetImg" id="NaNoStats-WidgetImg">';
        foreach($widgets as $title=>$url){
            if($options['img'] == $url){
                $sel = 'SELECTED';
            }else{
                $sel ='';
            }
            echo '<option value="'.$url.'" '.$sel.'>'.$title.'</option>';
        }
        echo '</select>';
    ?><br />
    <label for="NaNoStats-WidgetOptions">NaNoWriMo Widget Options</label><br />
    <?php
        $option = array(
            'wc' => 'Turn <strong>off</strong> word count',
            'days' => 'Turn "days left in nano" <strong>on</strong>',
            'pc' => 'Turn "percent complete" <strong>on</strong>'
        );
        foreach($option as $val => $desc){
            if($options['options'][$val]){
                $check = 'checked = "checked"';
            }else{
                $check = '';
            }
                echo '<input type="checkbox" name="NaNoStats-WidgetOptions['.$val.']" value="'.$val.'" '.$check.' /> '.$desc.'<br />';

        }
    ?>
    <input type="hidden" id="NaNoStats-Submit" name="NaNoStats-Submit" value="1" />
  </p>
<?php
}
 
function NaNoStats_init()
{
  register_sidebar_widget(__('NaNoStats'), 'widget_NaNoStats');
  register_widget_control(   'NaNoStats', 'NaNoStats_control', 300, 200 );     
}
add_action("plugins_loaded", "NaNoStats_init");
?>